part of 'training_evaluation_bloc.dart';

abstract class TrainingEvaluationState extends Equatable {
  const TrainingEvaluationState();

  @override
  List<Object> get props => [];
}

class TrainingEvaluationInitial extends TrainingEvaluationState {
  const TrainingEvaluationInitial();
}

class TrainingEvaluationLoading extends TrainingEvaluationState {
  const TrainingEvaluationLoading();
}

class TrainingEvaluationReady extends TrainingEvaluationState {
  const TrainingEvaluationReady();
}

class TrainingEvaluationVictoryReady extends TrainingEvaluationState {
  const TrainingEvaluationVictoryReady();
}

class TrainingEvaluationError extends TrainingEvaluationState {
  final String message;
  const TrainingEvaluationError({required this.message});

  @override
  List<Object> get props => [message];
}
